Skip to main content
GET
List contributions

Authorizations

Authorization
string
header
required

Organization API key created in Grain Settings → API. The key determines the organization and is limited to its assigned resource scopes. Write scopes imply the corresponding read scope.

Headers

X-Organization-Id
string

Required with OAuth access tokens. Optional with organization API keys; if supplied, it must match the key's organization.

Query Parameters

page
integer
default:1

Page number (1-based)

Required range: x >= 1
limit
integer
default:20

Records per page

Required range: 1 <= x <= 1000
donorId
string
fundId
string
method
enum<string>
Available options:
CASH,
CHECK,
CREDIT_CARD,
ACH,
ONLINE,
STOCK,
OTHER
givingBatchId
string
settlementId
string
givingMerchantId
string
paymentStatus
enum<string>
Available options:
PENDING,
SUCCEEDED,
FAILED
isRefunded
enum<string>
Available options:
true,
false
sourceType
enum<string>
Available options:
DIRECT,
DAF,
QCD_IRA,
MATCHING,
FOUNDATION,
ESTATE
sourceDonorId
string
isSettled
enum<string>
Available options:
true,
false
isCleared
enum<string>
Available options:
true,
false
hasDonor
enum<string>
Available options:
true,
false
externalSource
enum<string>
Available options:
PUSHPAY,
PLANNING_CENTER,
CCB,
TITHELY,
SUBSPLASH,
ROCK_RMS,
MANUAL,
OTHER
dateFrom
string<date>
dateTo
string<date>
sortBy
enum<string>
default:date
Available options:
date,
amount,
donor,
createdAt
sortOrder
enum<string>
default:desc
Available options:
asc,
desc

Response

Paginated contributions

contributions
object[]
pagination
object
Last modified on August 23, 2026